/////////////////////////////////////////////////////////////////////////////////////////
//  author: qingzhe huang
//  date: oct. 4, 2006
//	purpose of program: demo basic usage of UDP socket in java.
//	1. This is a simple UDP client which binds a fixed server host name and port number.
//	2. DatagramSocket uses a DatagramPacket to receive message. DatagramPacket uses an 
//		internal buffer (a byte[]) to hold outgoing message.
//	3. Since we need "byte[]" in datagrampacket, you have to use String.getBytes() to convert 
//		it.
//	4. Assume server and client are running in local host and type "quit" both of them quit.
//////////////////////////////////////////////////////////////////////////////////////////

import java.net.*;
import java.io.*;

class MyClient
{
	public static final int ServerPortNumber=8000;
	public static final String ServerHostName="LOCALHOST";
	public static final int MaxMsgLength=256;
	private static DatagramSocket client;
	private static byte[] buffer=new byte[MaxMsgLength];
	private static DatagramPacket packet;
	private static BufferedReader bufInput = new BufferedReader(new InputStreamReader(System.in));


	public static void main(String args[])
	{
		try
		{
			String msg;
			String quitMsg=new String("quit");
			client=new DatagramSocket();
			packet=new DatagramPacket(buffer, MaxMsgLength);
			packet.setAddress(InetAddress.getByName(ServerHostName));
			packet.setPort(ServerPortNumber);
			while (true)
			{
				
				msg=bufInput.readLine();
			
				packet.setData(msg.getBytes());
				client.send(packet);
				if (msg.compareTo(quitMsg)==0)
				{
					break;
				}
			}
		}
		catch (Exception er)
		{
			System.out.println(er);
		}
	}
}