/////////////////////////////////////////////////////////////////////////////////////////
//  author: qingzhe huang
//  date: oct. 4, 2006
//	purpose of program: demo basic usage of UDP socket in java.
//	1. This is a simple UDP server which binds a fixed port number.
//	2. DatagramSocket uses a DatagramPacket to receive message. DatagramPacket uses an 
//		internal buffer (a byte[]) to hold incoming message.
//	3. Since "byte[]" in jave will not be automatically converted into "char[]", you
//		have to give the "length" of incoming message to correctly convert into String.
//////////////////////////////////////////////////////////////////////////////////////////

import java.net.*;

class MyServer
{
	public static final int ServerPortNumber=8000;
	public static final int MaxMsgLength=256;
	private static DatagramSocket server;
	private static byte[] buffer=new byte[MaxMsgLength];
	private static DatagramPacket packet=new DatagramPacket(buffer, MaxMsgLength);


	public static void main(String args[])
	{
		String quitMsg=new String("quit");
		
		try
		{
			server=new DatagramSocket(ServerPortNumber);
		
			while (true)
			{
				server.receive(packet);
				String msg=new String(buffer, 0, packet.getLength());
							
				System.out.println("message received:"+msg);
				if (msg.compareTo(quitMsg)==0)
				{
					break;
				}
			}
		}
		catch(Exception er)
		{
			System.out.println(er);
		}
	}
}

